> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Identity Risks of a specific type

> Get Identity Risks of a specific type



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/identities/{identity_id}/risks/{risk_type}
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/identities/{identity_id}/risks/{risk_type}:
    get:
      tags:
        - Identities
      summary: Get Identity Risks of a specific type
      description: Get Identity Risks of a specific type
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: Identity ID
          in: path
          name: identity_id
          required: true
          schema:
            type: string
        - description: Risk type
          in: path
          name: risk_type
          required: true
          schema:
            type: string
        - description: Page number starting from 1
          in: query
          name: page
          schema:
            type: integer
        - description: Page size
          in: query
          name: page_size
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResp-Risk'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    ListResp-Risk:
      properties:
        entries:
          items:
            $ref: '#/components/schemas/Risk'
          type: array
        page:
          type: integer
        page_count:
          type: integer
        page_size:
          type: integer
        total_count:
          type: integer
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    Risk:
      properties:
        associated_resources:
          items:
            $ref: '#/components/schemas/AssociatedResource'
          type: array
        deleted_at:
          type: string
        description:
          type: string
        fingerprint:
          type: string
        first_detected_at:
          type: string
        id:
          type: string
        identity_id:
          type: string
        last_detected_at:
          type: string
        name:
          type: string
        risk_counter:
          type: integer
        score:
          type: number
        type:
          type: string
        weight:
          type: number
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message
    AssociatedResource:
      properties:
        id:
          type: string
        name:
          type: string
        severity:
          type: string
      type: object

````